package de.ozgcloud.eingang.common.formdata;

import static org.assertj.core.api.Assertions.*;

import org.junit.jupiter.api.DisplayName;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.NullAndEmptySource;
import org.junit.jupiter.params.provider.ValueSource;

import de.ozgcloud.eingang.common.formdata.ServiceKonto.TrustLevel;

class TrustLevelTest {

	@DisplayName("should return true when")
	@ParameterizedTest(name = "trust level is {0}")
	@ValueSource(strings = {"STORK-QAA-Level-1", "STORK-QAA-Level-2", "STORK-QAA-Level-3", "STORK-QAA-Level-4"})
	void shouldReturnTrue(String trustLevel) {
		var isValid = TrustLevel.exists(trustLevel);

		assertThat(isValid).isTrue();
	}

	@DisplayName("should return false when")
	@ParameterizedTest(name = "trust level is \"{0}\"")
	@NullAndEmptySource
	@ValueSource(strings = {"STORK-QAA-Level-0", "unexpected"})
	void shouldReturnFalse(String trustLevel) {
		var isValid = TrustLevel.exists(trustLevel);

		assertThat(isValid).isFalse();
	}
}